import QtQuick 2.0
import Sailfish.Silica 1.0
import org.nemomobile.configuration 1.0

Page {
    id: page

    ConfigurationGroup {
        id: remorseitemsControls
        path: "/desktop/silica/remorseitemsControls"
        property int inplaceTimeout: 5000
        property int popupTimeout: 5000
    }

    SilicaFlickable {
        anchors.fill: parent
        contentHeight: content.height
        interactive: contentHeight > height

        Column {
		    id: content
            width: parent.width
            spacing: Theme.paddingLarge

            PageHeader {
			    //% "Remorse timeout settings"
                title: qsTrId("sailfishos-remorse-patch-he-remorse_timeout_settings")
            }
			
            /*SectionHeader {
				text: qsTr("Set up remorse timeouts")
			}*/
			
            Slider {
                width: parent.width
                label: qsTr("'In place' items*")
                maximumValue: 10
                minimumValue: 1
                stepSize: 1
                value: remorseitemsControls.inplaceTimeout/1000
                valueText: value + " " + qsTr("sec.")

                onValueChanged: remorseitemsControls.inplaceTimeout = value*1000
                onPressAndHold: cancel()
            }
			
            Label {
                width: parent.width
                wrapMode: Text.Wrap
                horizontalAlignment: Text.AlignHCenter
				font.pixelSize: 24
                text: qsTr("* - for example, gallery grid or messages list")
            }
			
            Slider {
                width: parent.width
                label: qsTr("Top-screen popup")
                maximumValue: 10
                minimumValue: 1
                stepSize: 1
                value: remorseitemsControls.popupTimeout/1000
                valueText: value + " " + qsTr("sec.")

                onValueChanged: remorseitemsControls.popupTimeout = value*1000
                onPressAndHold: cancel()
            }
            
		    Item {
			    width: 1
                height: 20
			}
		 
            Label {
                width: parent.width
                wrapMode: Text.Wrap
                horizontalAlignment: Text.AlignHCenter
                text: qsTr("Created by Ancelad in 0x7DF")
            }
						
		    Item {
			    width: 1
                height: 20
			}	
			
		    Label {
                text: qsTr("Donations are welcome :)")
                width: parent.width
				wrapMode: Text.Wrap
                horizontalAlignment: Text.AlignHCenter
            }

            Button {
                text: qsTr("Donate")
                width: 200
                anchors.horizontalCenter: parent.horizontalCenter
                onClicked: {
                    Qt.openUrlExternally("https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=E33PBZ79WTQJY")
                }
            }			
        }
    }
}
